/* gTask
 * Copyright (C) 2004 Michael Henson
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef GTASK_INTERNALS_H
#define GTASK_INTERNALS_H

#ifdef G_HAVE_ISO_VARARGS
#define g_debug(...)    g_log( G_LOG_DOMAIN, \
                               G_LOG_LEVEL_DEBUG, \
                               __VA_ARGS__ )

#define g_info(...)     g_log( G_LOG_DOMAIN, \
                               G_LOG_LEVEL_INFO, \
                               __VA_ARGS__ )
#elif defined G_HAVE_GNUC_VARARGS
#define g_debug(format...)    g_log( G_LOG_DOMAIN, \
                               G_LOG_LEVEL_DEBUG, \
                               format )

#define g_info(format...)     g_log( G_LOG_DOMAIN, \
                               G_LOG_LEVEL_INFO, \
                               format )
#endif

#endif
